Index: XIOS/dev/dev_olga/src/transformation/generic_algorithm_transformation.cpp
===================================================================
--- XIOS/dev/dev_olga/src/transformation/generic_algorithm_transformation.cpp	(revision 1599)
+++ XIOS/dev/dev_olga/src/transformation/generic_algorithm_transformation.cpp	(revision 1612)
@@ -34,4 +34,5 @@
                                             std::vector<bool>& flagInitial,
                                             bool ignoreMissingValue, bool firstPass  )
+TRY
 {
   int nbLocalIndex = localIndex.size();   
@@ -61,6 +62,8 @@
   }
 }
+CATCH
 
 void CGenericAlgorithmTransformation::computePositionElements(CGrid* dst, CGrid* src)
+TRY
 {
   int idxScalar = 0, idxAxis = 0, idxDomain = 0;
@@ -108,6 +111,8 @@
   }
 }
+CATCH
 
 bool CGenericAlgorithmTransformation::isDistributedTransformation(int elementPositionInGrid, CGrid* gridSrc, CGrid* gridDst)
+TRY
 {
 
@@ -147,5 +152,7 @@
   }
   return isDistributed_ ;
-}  
+}
+CATCH
+
 /*!
   This function computes the global indexes of grid source, which the grid destination is in demand.
@@ -160,4 +167,5 @@
                                                                CGrid* gridDst,
                                                                SourceDestinationIndexMap& globaIndexWeightFromSrcToDst)
+TRY
  {
   CContext* context = CContext::getCurrent();
@@ -443,4 +451,5 @@
   }  
  }
+CATCH
 
 /*!
@@ -461,4 +470,5 @@
                                                                    std::vector<std::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
                                                                    SourceDestinationIndexMap& globaIndexWeightFromSrcToDst)
+TRY
 {
   SourceDestinationIndexMap globaIndexWeightFromSrcToDst_tmp ;
@@ -640,6 +650,6 @@
        }
      }
-
-}
+}
+CATCH
 
 /*!
@@ -654,4 +664,5 @@
                                                                  CArray<size_t,1>& destGlobalIndexPositionInGrid,
                                                                  std::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -666,4 +677,5 @@
   }
 }
+CATCH
 
 /*!
@@ -678,4 +690,5 @@
                                                                CArray<size_t,1>& destGlobalIndexPositionInGrid,
                                                                std::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -735,4 +748,5 @@
   }
 }
+CATCH
 
 /*!
@@ -747,4 +761,5 @@
                                                                  CArray<size_t,1>& destGlobalIndexPositionInGrid,
                                                                  std::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -838,12 +853,10 @@
   }
 }
-
-
-
-
+CATCH
 
 void CGenericAlgorithmTransformation::computeTransformationMappingNonDistributed(int elementPositionInGrid, CGrid* gridSrc, CGrid* gridDst,
                                                                                  vector<int>& localSrc, vector<int>& localDst, vector<double>& weight,
                                                                                  int& nlocalIndexDest)
+TRY
 {
 
@@ -1010,4 +1023,5 @@
                
 }
+CATCH
 
 
@@ -1017,4 +1031,5 @@
                                                                    int& t, vector<vector<vector<pair<int,double> > > >& dstIndWeight, int currentInd,
                                                                    vector<int>& localSrc, vector<int>& localDst, vector<double>& weight)
+TRY
 {
   int masked_ ;
@@ -1099,4 +1114,5 @@
 
 }
+CATCH
 
 /*!
@@ -1106,17 +1122,23 @@
 */
 void CGenericAlgorithmTransformation::computeIndexSourceMapping(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   computeIndexSourceMapping_(dataAuxInputs);
 }
+CATCH
 
 std::vector<StdString> CGenericAlgorithmTransformation::getIdAuxInputs()
+TRY
 {
   return idAuxInputs_;
 }
+CATCH
 
 CGenericAlgorithmTransformation::AlgoTransType CGenericAlgorithmTransformation::type()
+TRY
 {
   return type_;
 }
-
-}
+CATCH
+
+}
